---
# YAML definition for Numeric Attribute
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:  '&IDC_NumericAttribute;'
    inherits:     '&IDC_Attribute;'
    name:      Numeric Attribute
    index:     20
    customTagName: 'numericAttribute'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Value;'
      customTagName: 'value'
    - instance: '&IDA_MaximumValueNumeric;'
      customTagName: 'maximumValue'
    - instance: '&IDA_MinimumValueNumeric;'
      customTagName: 'minimumValue'

  - numericAttribute: '&IDA_MaximumLength;'
    name:         'Maximum Length'
    index:        4

  - numericAttribute: '&IDA_MaximumValueNumeric;'
    name:         'Maximum Value'

  - numericAttribute: '&IDA_MinimumValueNumeric;'
    name:         'Minimum Value'
